# Package org.apache.sysds.runtime

package org.apache.sysds.runtime

Related Packages
Package
Description
org.apache.sysds.runtime.codegen
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.controlprogram
org.apache.sysds.runtime.data
org.apache.sysds.runtime.einsum
org.apache.sysds.runtime.functionobjects
org.apache.sysds.runtime.instructions
org.apache.sysds.runtime.io
org.apache.sysds.runtime.iogen
org.apache.sysds.runtime.lineage
org.apache.sysds.runtime.meta
org.apache.sysds.runtime.transform
org.apache.sysds.runtime.util
Exceptions
Class
Description
DMLRuntimeException
This exception should be thrown to flag runtime errors -- DML equivalent to java.lang.RuntimeException.
DMLScriptException
This exception should be thrown to flag DML Script errors, this exception is reserved for the stop instruction and script related errors that an end-user should be able to address